Freeciv-3.2: UP_DOWN Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
UP_DOWN Struct Reference

## Data Fields

struct widget * | begin
struct widget * | end
struct widget * | begin_widget_list
struct widget * | end_widget_list
struct scroll_bar * | vscroll
float | old_y
int | step
int | prev_x
int | prev_y
int | offset

## Detailed Description

Definition at line 39 of file widget_scrollbar.c.

## Field Documentation

## ◆ begin

struct widget* UP_DOWN::begin

Definition at line 40 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), and up_scroll_widget_list().

## ◆ begin_widget_list

struct widget* UP_DOWN::begin_widget_list

Definition at line 42 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), up_scroll_widget_list(), and vertic_scroll_widget_list().

## ◆ end

struct widget* UP_DOWN::end

Definition at line 41 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), and inside_scroll_down_loop().

## ◆ end_widget_list

struct widget* UP_DOWN::end_widget_list

Definition at line 43 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), up_scroll_widget_list(), and vertic_scroll_widget_list().

## ◆ offset

int UP_DOWN::offset

Definition at line 49 of file widget_scrollbar.c.

## ◆ old_y

float UP_DOWN::old_y

Definition at line 45 of file widget_scrollbar.c.

## ◆ prev_x

int UP_DOWN::prev_x

Definition at line 47 of file widget_scrollbar.c.

## ◆ prev_y

int UP_DOWN::prev_y

Definition at line 48 of file widget_scrollbar.c.

## ◆ step

int UP_DOWN::step

Definition at line 46 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), up_scroll_widget_list(), and vertic_scroll_widget_list().

## ◆ vscroll

struct scroll_bar* UP_DOWN::vscroll

Definition at line 44 of file widget_scrollbar.c.

Referenced by down_scroll_widget_list(), inside_scroll_down_loop(), inside_scroll_up_loop(), scroll_mouse_motion_handler(), up_scroll_widget_list(), and vertic_scroll_widget_list().